extends Player_State
class_name Player_State_Rotation_Interaction

var rotation_target: Node2D

func _init(target: Node2D) -> void:
	rotation_target = target

func restrict_rotation() -> bool:
	return true
	
func on_movement_input(input: Vector2, player: Player):
	player.interacting_state = Player_State_Standard.new()

func on_rotation_input(input: float, player: Player):
	rotation_target.rotation = input
